added knoppix 6 with httpfs support
authorPravin Shinde <pravin@black-perl.(none)>
Sat, 15 Aug 2009 12:52:09 +0000 (14:52 +0200)
committerPravin Shinde <pravin@black-perl.(none)>
Sat, 15 Aug 2009 12:52:09 +0000 (14:52 +0200)
right now, it is having some problems in starting GUI

30 files changed:
D/K/K6/generate_initrd.sh [new file with mode: 0755]
D/K/K6/httpfs/server/fusermount [new file with mode: 0755]
D/K/K6/httpfs/server/httpfs [new file with mode: 0755]
D/K/K6/iscsi/initiatorname.iscsi [new file with mode: 0644]
D/K/K6/iscsi/iscsid.conf [new file with mode: 0644]
D/K/K6/iscsi/tools/iscsi-iname [new file with mode: 0755]
D/K/K6/iscsi/tools/iscsi_discovery [new file with mode: 0755]
D/K/K6/iscsi/tools/iscsiadm [new file with mode: 0755]
D/K/K6/iscsi/tools/iscsid [new file with mode: 0755]
D/K/K6/iscsi/tools/iscsistart [new file with mode: 0755]
D/K/K6/iscsi/tools/isosize [new file with mode: 0755]
D/K/K6/linux [new file with mode: 0755]
D/K/K6/minirt.gz_orig [new file with mode: 0644]
D/K/K6/modules/8139too.ko [new file with mode: 0644]
D/K/K6/modules/8390.ko [new file with mode: 0644]
D/K/K6/modules/8390p.ko [new file with mode: 0644]
D/K/K6/modules/cloop.ko [new file with mode: 0644]
D/K/K6/modules/e100.ko [new file with mode: 0644]
D/K/K6/modules/e1000.ko [new file with mode: 0644]
D/K/K6/modules/e1000e.ko [new file with mode: 0644]
D/K/K6/modules/iscsi_tcp.ko [new file with mode: 0644]
D/K/K6/modules/libiscsi.ko [new file with mode: 0644]
D/K/K6/modules/mii.ko [new file with mode: 0644]
D/K/K6/modules/ne2k-pci.ko [new file with mode: 0644]
D/K/K6/modules/pcnet32.ko [new file with mode: 0644]
D/K/K6/modules/r8169.ko [new file with mode: 0644]
D/K/K6/modules/sis900.ko [new file with mode: 0644]
D/K/K6/modules/via-rhine.ko [new file with mode: 0644]
D/K/K6/mount_http_iso.sh [new file with mode: 0755]
D/K/knoppix.bko.tmpl

diff --git a/D/K/K6/generate_initrd.sh b/D/K/K6/generate_initrd.sh
new file mode 100755 (executable)
index 0000000..3da09c0
--- /dev/null
@@ -0,0 +1,56 @@
+#!/bin/bash
+set -e
+
+#cleanup the old mess
+echo "Removing the old files"
+rm -rf minirt.gz minirt mpoint
+
+cp minirt.gz_orig minirt.gz
+# create a copy of image to modify
+gunzip minirt.gz
+
+echo "extracting filesystem filesystem"
+mkdir mpoint
+cd mpoint 
+cpio -ivu --no-absolute-filename  < ../minirt 2> /dev/null
+cd ..
+
+echo "coping the needed files..."
+
+
+#cp run-init mpoint/bin/
+#chmod 777 mpoint/bin/run-init
+
+echo "copying iscsi related files..."
+mkdir -p mpoint/etc/iscsi
+mkdir -p mpoint/sbin/
+cp iscsi/iscsid.conf mpoint/etc/iscsi/
+cp iscsi/initiatorname.iscsi mpoint/etc/iscsi/
+cp iscsi/tools/* mpoint/sbin/
+
+mkdir -p mpoint/modules
+cp modules/* mpoint/modules/
+
+cp httpfs/server/httpfs mpoint/bin/
+chmod 777 mpoint/bin/httpfs
+
+cp httpfs/server/fusermount mpoint/bin/
+chmod 777 mpoint/bin/fusermount
+
+cp init mpoint/
+chmod 0777 mpoint/init 
+
+cp mount_http_iso.sh mpoint/bin
+chmod 0777 mpoint/bin/mount_http_iso.sh
+
+chown -R root.root mpoint
+cd mpoint
+echo "creating initrd from new system filesystem"
+
+echo "Compressing the filesystem"
+find . | cpio -oH newc | gzip -9 > ../minirt.gz
+cd ..
+
+rm -rf mpoint minirt 
+
+echo "Done, you can use minirt.gz"
diff --git a/D/K/K6/httpfs/server/fusermount b/D/K/K6/httpfs/server/fusermount
new file mode 100755 (executable)
index 0000000..c37325c
Binary files /dev/null and b/D/K/K6/httpfs/server/fusermount differ
diff --git a/D/K/K6/httpfs/server/httpfs b/D/K/K6/httpfs/server/httpfs
new file mode 100755 (executable)
index 0000000..df1b078
Binary files /dev/null and b/D/K/K6/httpfs/server/httpfs differ
diff --git a/D/K/K6/iscsi/initiatorname.iscsi b/D/K/K6/iscsi/initiatorname.iscsi
new file mode 100644 (file)
index 0000000..a732d75
--- /dev/null
@@ -0,0 +1,6 @@
+## DO NOT EDIT OR REMOVE THIS FILE!
+## If you remove this file, the iSCSI daemon will not start.
+## If you change the InitiatorName, existing access control lists
+## may reject this initiator.  The InitiatorName must be unique
+## for each iSCSI initiator.  Do NOT duplicate iSCSI InitiatorNames.
+InitiatorName=iqn.1993-08.org.debian:01:74e6bd2d995f
diff --git a/D/K/K6/iscsi/iscsid.conf b/D/K/K6/iscsi/iscsid.conf
new file mode 100644 (file)
index 0000000..83200c2
--- /dev/null
@@ -0,0 +1,245 @@
+#
+# Open-iSCSI default configuration.
+# Could be located at /etc/iscsi/iscsid.conf or ~/.iscsid.conf
+#
+# Note: To set any of these values for a specific node/session run
+# the iscsiadm --mode node --op command for the value. See the README
+# and man page for iscsiadm for details on the --op command.
+#
+
+################
+# iSNS settings
+################
+# Address of iSNS server
+#isns.address = 192.168.0.1
+#isns.port = 3205
+
+#############################
+# NIC/HBA and driver settings
+#############################
+# open-iscsi can create a session and bind it to a NIC/HBA.
+# To set this up see the example iface config file.
+
+#*****************
+# Startup settings
+#*****************
+
+# To request that the iscsi initd scripts startup a session set to "automatic".
+node.startup = automatic
+#
+# To manually startup the session set to "manual". The default is manual.
+#node.startup = manual
+
+# *************
+# CHAP Settings
+# *************
+
+# To enable CHAP authentication set node.session.auth.authmethod
+# to CHAP. The default is None.
+#node.session.auth.authmethod = CHAP
+
+# To set a CHAP username and password for initiator
+# authentication by the target(s), uncomment the following lines:
+#node.session.auth.username = username
+#node.session.auth.password = password
+
+# To set a CHAP username and password for target(s)
+# authentication by the initiator, uncomment the following lines:
+#node.session.auth.username_in = username_in
+#node.session.auth.password_in = password_in
+
+# To enable CHAP authentication for a discovery session to the target
+# set discovery.sendtargets.auth.authmethod to CHAP. The default is None.
+#discovery.sendtargets.auth.authmethod = CHAP
+
+# To set a discovery session CHAP username and password for the initiator
+# authentication by the target(s), uncomment the following lines:
+#discovery.sendtargets.auth.username = username
+#discovery.sendtargets.auth.password = password
+
+# To set a discovery session CHAP username and password for target(s)
+# authentication by the initiator, uncomment the following lines:
+#discovery.sendtargets.auth.username_in = username_in
+#discovery.sendtargets.auth.password_in = password_in
+
+# ********
+# Timeouts
+# ********
+#
+# See the iSCSI REAME's Advanced Configuration section for tips
+# on setting timeouts when using multipath or doing root over iSCSI.
+#
+# To specify the length of time to wait for session re-establishment
+# before failing SCSI commands back to the application when running
+# the Linux SCSI Layer error handler, edit the line.
+# The value is in seconds and the default is 120 seconds.
+node.session.timeo.replacement_timeout = 120
+
+# To specify the time to wait for login to complete, edit the line.
+# The value is in seconds and the default is 15 seconds.
+node.conn[0].timeo.login_timeout = 15
+
+# To specify the time to wait for logout to complete, edit the line.
+# The value is in seconds and the default is 15 seconds.
+node.conn[0].timeo.logout_timeout = 15
+
+# Time interval to wait for on connection before sending a ping.
+node.conn[0].timeo.noop_out_interval = 5
+
+# To specify the time to wait for a Nop-out response before failing
+# the connection, edit this line. Failing the connection will
+# cause IO to be failed back to the SCSI layer. If using dm-multipath
+# this will cause the IO to be failed to the multipath layer.
+node.conn[0].timeo.noop_out_timeout = 5
+
+# To specify the time to wait for abort response before
+# failing the operation and trying a logical unit reset edit the line.
+# The value is in seconds and the default is 15 seconds.
+node.session.err_timeo.abort_timeout = 15
+
+# To specify the time to wait for a logical unit response
+# before failing the operation and trying session re-establishment
+# edit the line.
+# The value is in seconds and the default is 30 seconds.
+node.session.err_timeo.lu_reset_timeout = 20
+
+#******
+# Retry
+#******
+
+# To specify the number of times iscsid should retry a login
+# if the login attempt fails due to the node.conn[0].timeo.login_timeout
+# expiring modify the following line. Note that if the login fails
+# quickly (before node.conn[0].timeo.login_timeout fires) because the network
+# layer or the target returns an error, iscsid may retry the login more than
+# node.session.initial_login_retry_max times.
+#
+# This retry count along with node.conn[0].timeo.login_timeout
+# determines the maximum amount of time iscsid will try to
+# establish the initial login. node.session.initial_login_retry_max is
+# multiplied by the node.conn[0].timeo.login_timeout to determine the
+# maximum amount.
+#
+# The default node.session.initial_login_retry_max is 8 and
+# node.conn[0].timeo.login_timeout is 15 so we have:
+#
+# node.conn[0].timeo.login_timeout * node.session.initial_login_retry_max =
+#                                                              120 seconds
+#
+# Valid values are any integer value. This only
+# affects the initial login. Setting it to a high value can slow
+# down the iscsi service startup. Setting it to a low value can
+# cause a session to not get logged into, if there are distuptions
+# during startup or if the network is not ready at that time.
+node.session.initial_login_retry_max = 8
+
+################################
+# session and device queue depth
+################################
+
+# To control how many commands the session will queue set
+# node.session.cmds_max to an integer between 2 and 2048 that is also
+# a power of 2. The default is 128.
+node.session.cmds_max = 128
+
+# To control the device's queue depth set node.session.queue_depth
+# to a value between 1 and 128. The default is 32.
+node.session.queue_depth = 32
+
+#***************
+# iSCSI settings
+#***************
+
+# To enable R2T flow control (i.e., the initiator must wait for an R2T
+# command before sending any data), uncomment the following line:
+#
+#node.session.iscsi.InitialR2T = Yes
+#
+# To disable R2T flow control (i.e., the initiator has an implied
+# initial R2T of "FirstBurstLength" at offset 0), uncomment the following line:
+#
+# The defaults is No.
+node.session.iscsi.InitialR2T = No
+
+#
+# To disable immediate data (i.e., the initiator does not send
+# unsolicited data with the iSCSI command PDU), uncomment the following line:
+#
+#node.session.iscsi.ImmediateData = No
+#
+# To enable immediate data (i.e., the initiator sends unsolicited data
+# with the iSCSI command packet), uncomment the following line:
+#
+# The default is Yes
+node.session.iscsi.ImmediateData = Yes
+
+# To specify the maximum number of unsolicited data bytes the initiator
+# can send in an iSCSI PDU to a target, edit the following line.
+#
+# The value is the number of bytes in the range of 512 to (2^24-1) and
+# the default is 262144
+node.session.iscsi.FirstBurstLength = 262144
+
+# To specify the maximum SCSI payload that the initiator will negotiate
+# with the target for, edit the following line.
+#
+# The value is the number of bytes in the range of 512 to (2^24-1) and
+# the defauls it 16776192
+node.session.iscsi.MaxBurstLength = 16776192
+
+# To specify the maximum number of data bytes the initiator can receive
+# in an iSCSI PDU from a target, edit the following line.
+#
+# The value is the number of bytes in the range of 512 to (2^24-1) and
+# the default is 131072
+node.conn[0].iscsi.MaxRecvDataSegmentLength = 131072
+
+
+# To specify the maximum number of data bytes the initiator can receive
+# in an iSCSI PDU from a target during a discovery session, edit the
+# following line.
+#
+# The value is the number of bytes in the range of 512 to (2^24-1) and
+# the default is 32768
+# 
+discovery.sendtargets.iscsi.MaxRecvDataSegmentLength = 32768
+
+# To allow the targets to control the setting of the digest checking,
+# with the initiator requesting a preference of enabling the checking, uncomment# one or both of the following lines:
+#node.conn[0].iscsi.HeaderDigest = CRC32C,None
+#node.conn[0].iscsi.DataDigest = CRC32C,None
+#
+# To allow the targets to control the setting of the digest checking,
+# with the initiator requesting a preference of disabling the checking,
+# uncomment one or both of the following lines:
+#node.conn[0].iscsi.HeaderDigest = None,CRC32C
+#node.conn[0].iscsi.DataDigest = None,CRC32C
+#
+# To enable CRC32C digest checking for the header and/or data part of
+# iSCSI PDUs, uncomment one or both of the following lines:
+#node.conn[0].iscsi.HeaderDigest = CRC32C
+#node.conn[0].iscsi.DataDigest = CRC32C
+#
+# To disable digest checking for the header and/or data part of
+# iSCSI PDUs, uncomment one or both of the following lines:
+#node.conn[0].iscsi.HeaderDigest = None
+#node.conn[0].iscsi.DataDigest = None
+#
+# The default is to never use DataDigests or HeaderDigests.
+#
+
+
+#************
+# Workarounds
+#************
+
+# Some targets like IET prefer after an initiator has sent a task
+# management function like an ABORT TASK or LOGICAL UNIT RESET, that
+# it does not respond to PDUs like R2Ts. To enable this behavior uncomment
+# the following line (The default behavior is Yes):
+node.session.iscsi.FastAbort = Yes
+
+# Some targets like Equalogic prefer that after an initiator has sent
+# a task management function like an ABORT TASK or LOGICAL UNIT RESET, that
+# it continue to respond to R2Ts. To enable this uncomment this line
+# node.session.iscsi.FastAbort = No
diff --git a/D/K/K6/iscsi/tools/iscsi-iname b/D/K/K6/iscsi/tools/iscsi-iname
new file mode 100755 (executable)
index 0000000..8afc1ba
Binary files /dev/null and b/D/K/K6/iscsi/tools/iscsi-iname differ
diff --git a/D/K/K6/iscsi/tools/iscsi_discovery b/D/K/K6/iscsi/tools/iscsi_discovery
new file mode 100755 (executable)
index 0000000..398a6e8
--- /dev/null
@@ -0,0 +1,188 @@
+#!/bin/sh
+#
+# Copyright (C) Voltaire Ltd. 2006.  ALL RIGHTS RESERVED.
+#
+# This program is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or (at your option) any later
+# version.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA 02111-1307 USA
+#
+# Author: Dan Bar Dov <danb@voltaire.com>
+
+# iscsi_discovery:
+#    * does a send-targets discovery to the given IP
+#    * set the transport type to the preferred transport (or tcp is -t flag is not used)
+#    * tries to login
+#    * if succeeds,
+#          o logout,
+#          o mark record autmatic (unless -m flag is used)
+#    * else
+#          o reset transport type to TCP
+#          o try to login
+#          o if succeeded
+#                + logout
+#                + mark record automatic (unless -m flag is used)
+#
+
+usage()
+{
+       echo "Usage: $0 <IP> [-p <port>] [-d] [-t <tcp|iser> [-f]] [-m] [-l]"
+       echo "Options:"
+       echo  "-p               set the port number (defualt is 3260)."
+       echo  "-d               print debugging information"
+       echo  "-t               set trasnpot (default is tcp)."
+       echo  "-f               force specific transport -disable the fallback to tcp (default is fallback enabled)."
+       echo  "                 force the transport specified by the argument of the -t flag."
+       echo  "-m               manual startup - will set manual startup (default is automatic startup)."
+       echo  "-l               login to the new discovered nodes (defualt is false)."
+}
+
+dbg()
+{
+       $debug && echo $@
+}
+
+initialize()
+{
+       trap "exit" 2
+       debug=false
+       force="0"
+       log_out="1"
+       startup_manual="0"
+       #set defualt transport to tcp
+       transport=tcp
+       #set defualt port to 3260
+       port=3260;
+}
+
+parse_cmdline()
+{
+       if [ $# -lt 1 ]; then
+               usage
+               exit 1
+       fi
+
+       # check if the IP address is valid
+       ip=`echo $1 | awk -F'.' '$1 != "" && $1 <=255 && $2 != "" && $2 <= 255 && $3 != "" && $3 <= 255 && $4 != "" && $4 <= 255 {print $0}'`
+       if [ -z "$ip" ]; then
+               echo "$1 is not a vaild IP address!"
+               exit 1
+       fi
+       shift
+       while getopts "dfmlt:p:" options; do
+        case $options in
+               d ) debug=true;;
+               f ) force="1";;
+               t ) transport=$OPTARG;;
+               p ) port=$OPTARG;;
+               m ) startup_manual="1";;
+               l ) log_out=0;;
+               \? ) usage
+                       exit 1;;
+               * )  usage
+                       exit 1;;
+        esac
+       done
+}
+
+discover()
+{
+       # If open-iscsi is already logged in to the portal, exit
+       if [ $(iscsiadm -m session | grep -c ${ip}:${port}) -ne 0 ]; then
+               echo "Please logout from all targets on ${ip}:${port} before trying to run discovery on that portal"
+               exit 2
+       fi
+
+       connected=0
+       discovered=0
+       df=/tmp/discovered.$$
+
+       dbg "starting discovery to $ip"
+       iscsiadm -m discovery --type sendtargets --portal ${ip}:${port} > ${df}
+       while read portal target
+       do
+               portal=${portal%,*}
+               select_transport
+       done < ${df}
+
+       discovered=$(cat ${df} | wc -l)
+       if [ ${discovered} = 0 ]; then
+               echo "failed to discover targets at ${ip}"
+               exit 2
+       else
+               echo "discovered ${discovered} targets at ${ip}"
+       fi
+       /bin/rm -f ${df}
+}
+
+try_login()
+{
+       if [ "$startup_manual" != "1" ]; then
+               iscsiadm -m node --targetname ${target} --portal ${portal} --op update -n node.conn[0].startup -v automatic
+       fi
+       iscsiadm -m node --targetname ${target} --portal ${portal} --login >/dev/null 2>&1
+       ret=$?
+       if [ ${ret} = 0 ]; then
+               echo "Set target ${target} to automatic login over ${transport} to portal ${portal}"
+               connected=$(($connected + 1))
+               if [ "$log_out" = "1" ]; then
+                       iscsiadm -m node --targetname ${target} --portal ${portal} --logout
+               fi
+       else
+               echo "Cannot login over ${transport} to portal ${portal}"
+               iscsiadm -m node --targetname ${target} --portal ${portal} --op update -n node.conn[0].startup -v manual
+       fi
+       return ${ret}
+}
+
+set_transport()
+{
+       transport=$1
+       if [ "$transport" == "iser" ];then
+               iscsiadm -m node --targetname ${target} --portal ${portal} \
+                               --op update -n node.conn[0].iscsi.HeaderDigest -v None
+               iscsiadm -m node --targetname ${target} --portal ${portal} \
+                               --op update -n node.conn[0].iscsi.DataDigest -v None
+       fi
+       transport_name=`iscsiadm  -m node -p ${portal} -T ${target} |awk '/transport_name/ {print $1}'`
+       iscsiadm -m node --targetname ${target} --portal ${portal} \
+                       --op update -n ${transport_name} -v ${transport}
+}
+
+select_transport()
+{
+       set_transport $transport
+       dbg "Testing $transport-login to target ${target} portal ${portal}"
+       try_login;
+       if [ $? != 0 -a  "$force" = "0" ]; then
+               set_transport tcp
+               dbg "starting to test tcp-login to target ${target} portal ${portal}"
+               try_login;
+       fi
+}
+
+check_iscsid()
+{
+       #check if iscsid is running
+       pidof iscsid &>/dev/null
+       ret=$?
+       if [ $ret -ne 0 ]; then
+               echo "iscsid is not running"
+               echo "Exiting..."
+               exit 1
+       fi
+}
+
+check_iscsid
+initialize
+parse_cmdline "$@"
+discover
diff --git a/D/K/K6/iscsi/tools/iscsiadm b/D/K/K6/iscsi/tools/iscsiadm
new file mode 100755 (executable)
index 0000000..dd05ea1
Binary files /dev/null and b/D/K/K6/iscsi/tools/iscsiadm differ
diff --git a/D/K/K6/iscsi/tools/iscsid b/D/K/K6/iscsi/tools/iscsid
new file mode 100755 (executable)
index 0000000..8405fff
Binary files /dev/null and b/D/K/K6/iscsi/tools/iscsid differ
diff --git a/D/K/K6/iscsi/tools/iscsistart b/D/K/K6/iscsi/tools/iscsistart
new file mode 100755 (executable)
index 0000000..da5ca2d
Binary files /dev/null and b/D/K/K6/iscsi/tools/iscsistart differ
diff --git a/D/K/K6/iscsi/tools/isosize b/D/K/K6/iscsi/tools/isosize
new file mode 100755 (executable)
index 0000000..ae09dcc
Binary files /dev/null and b/D/K/K6/iscsi/tools/isosize differ
diff --git a/D/K/K6/linux b/D/K/K6/linux
new file mode 100755 (executable)
index 0000000..ebde14d
Binary files /dev/null and b/D/K/K6/linux differ
diff --git a/D/K/K6/minirt.gz_orig b/D/K/K6/minirt.gz_orig
new file mode 100644 (file)
index 0000000..4cf7193
Binary files /dev/null and b/D/K/K6/minirt.gz_orig differ
diff --git a/D/K/K6/modules/8139too.ko b/D/K/K6/modules/8139too.ko
new file mode 100644 (file)
index 0000000..f46057b
Binary files /dev/null and b/D/K/K6/modules/8139too.ko differ
diff --git a/D/K/K6/modules/8390.ko b/D/K/K6/modules/8390.ko
new file mode 100644 (file)
index 0000000..1b1b5bc
Binary files /dev/null and b/D/K/K6/modules/8390.ko differ
diff --git a/D/K/K6/modules/8390p.ko b/D/K/K6/modules/8390p.ko
new file mode 100644 (file)
index 0000000..4ee9a12
Binary files /dev/null and b/D/K/K6/modules/8390p.ko differ
diff --git a/D/K/K6/modules/cloop.ko b/D/K/K6/modules/cloop.ko
new file mode 100644 (file)
index 0000000..0865997
Binary files /dev/null and b/D/K/K6/modules/cloop.ko differ
diff --git a/D/K/K6/modules/e100.ko b/D/K/K6/modules/e100.ko
new file mode 100644 (file)
index 0000000..fc059ea
Binary files /dev/null and b/D/K/K6/modules/e100.ko differ
diff --git a/D/K/K6/modules/e1000.ko b/D/K/K6/modules/e1000.ko
new file mode 100644 (file)
index 0000000..a34b797
Binary files /dev/null and b/D/K/K6/modules/e1000.ko differ
diff --git a/D/K/K6/modules/e1000e.ko b/D/K/K6/modules/e1000e.ko
new file mode 100644 (file)
index 0000000..90a5c80
Binary files /dev/null and b/D/K/K6/modules/e1000e.ko differ
diff --git a/D/K/K6/modules/iscsi_tcp.ko b/D/K/K6/modules/iscsi_tcp.ko
new file mode 100644 (file)
index 0000000..2448fb8
Binary files /dev/null and b/D/K/K6/modules/iscsi_tcp.ko differ
diff --git a/D/K/K6/modules/libiscsi.ko b/D/K/K6/modules/libiscsi.ko
new file mode 100644 (file)
index 0000000..c35f0d8
Binary files /dev/null and b/D/K/K6/modules/libiscsi.ko differ
diff --git a/D/K/K6/modules/mii.ko b/D/K/K6/modules/mii.ko
new file mode 100644 (file)
index 0000000..15d935e
Binary files /dev/null and b/D/K/K6/modules/mii.ko differ
diff --git a/D/K/K6/modules/ne2k-pci.ko b/D/K/K6/modules/ne2k-pci.ko
new file mode 100644 (file)
index 0000000..d3c379f
Binary files /dev/null and b/D/K/K6/modules/ne2k-pci.ko differ
diff --git a/D/K/K6/modules/pcnet32.ko b/D/K/K6/modules/pcnet32.ko
new file mode 100644 (file)
index 0000000..19f5d3f
Binary files /dev/null and b/D/K/K6/modules/pcnet32.ko differ
diff --git a/D/K/K6/modules/r8169.ko b/D/K/K6/modules/r8169.ko
new file mode 100644 (file)
index 0000000..6584274
Binary files /dev/null and b/D/K/K6/modules/r8169.ko differ
diff --git a/D/K/K6/modules/sis900.ko b/D/K/K6/modules/sis900.ko
new file mode 100644 (file)
index 0000000..39a9d45
Binary files /dev/null and b/D/K/K6/modules/sis900.ko differ
diff --git a/D/K/K6/modules/via-rhine.ko b/D/K/K6/modules/via-rhine.ko
new file mode 100644 (file)
index 0000000..86519fa
Binary files /dev/null and b/D/K/K6/modules/via-rhine.ko differ
diff --git a/D/K/K6/mount_http_iso.sh b/D/K/K6/mount_http_iso.sh
new file mode 100755 (executable)
index 0000000..bcb1a33
--- /dev/null
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# objectives: 
+# Enable networking.
+# Setup networking.
+# Find the location from which we need to get the ISO.
+# Mount the ISO.
+
+
+CMDLINE="$(cat /proc/cmdline)"
+case "$CMDLINE" in *httpfs=*) HTTPFS="$httpfs"; ;; esac
+case "$CMDLINE" in *ip=*) 
+IPP=`cat /proc/cmdline | sed 's/ /\n/g' | grep "ip=*" | cut -d'=' -f2`; ;; esac
+
+echo "http url is $HTTPFS and IPP value is $IPP"
+echo "The output of actual command.. "
+cat /proc/cmdline | sed 's/ /\n/g' | grep "ip=*" | cut -d'=' -f2
+
+echo "HTTP Boot: inserting network modules"
+insmod /modules/8390.ko  >/dev/null 2>&1 
+insmod /modules/mii.ko  >/dev/null 2>&1 
+insmod /modules/ne2k-pci.ko  >/dev/null 2>&1 
+insmod /modules/pcnet32.ko  >/dev/null 2>&1 
+insmod /modules/r8169.ko  >/dev/null 2>&1 
+insmod /modules/e100.ko  >/dev/null 2>&1 
+insmod /modules/e1000.ko  >/dev/null 2>&1 
+insmod /modules/e1000e.ko  >/dev/null 2>&1 
+insmod /modules/sis900.ko  >/dev/null 2>&1 
+insmod /modules/via-rhine.ko  >/dev/null 2>&1 
+insmod /modules/8139too.ko  >/dev/null 2>&1 
+insmod /modules/cloop.ko >/dev/null 2>&1 
+
+ifconfig lo 127.0.0.1 up
+ifconfig eth0 up
+myip=`echo $IPP | cut -d: -f1`
+echo "Using ip address $myip"
+mynm=`echo $IPP | cut -d: -f4`
+echo "Using Netmask $mynm"
+mygw=`echo $IPP | cut -d: -f3`
+echo "Using gateway ip $mygw"
+ifconfig eth0 $myip netmask $mynm 2> /output
+echo "verify the ip address"
+ifconfig eth0
+
+echo "nameserver 4.2.2.2
+nameserver 128.255.1.3" > /etc/resolv.conf
+echo "setting route"
+route add default gw $mygw 2> /outputroute
+
+
+
+ISO_PATH=$HTTPFS
+echo "The location of iso is $ISO_PATH"
+echo "mounting CDROM"
+mkdir /iso
+httpfs $ISO_PATH /iso
+FILEPATH=`ls /iso/*.iso`
+busybox mount -t iso9660 $FILEPATH /mnt-system -o loop -o ro
+
+# test if knoppix is there
+if test -f /mnt-system/KNOPPIX
+then
+echo -n "successfully mounted the Image"
+fi
+
index 4d006e0..f40ec13 100644 (file)
@@ -16,7 +16,17 @@ label knoppix502-local
     TEXT HELP
         Boots Knoppix-5.0.1
     ENDTEXT
-       kernel D/K/K5/linux httpfs=P_ISO_LOCATION_LOCAL/K5.iso 
-       append nodhcp lang=us ramdisk_size=100000 init=/etc/init apm=power-off nomce vga=791 initrd=D/K/K5/minirt.gz BOOT_IMAGE=knoppix
+       kernel D/K/K5/linux  
+       append httpfs=P_ISO_LOCATION_LOCAL/K5.iso nodhcp lang=us ramdisk_size=100000 init=/etc/init apm=power-off nomce vga=791 initrd=D/K/K5/minirt.gz BOOT_IMAGE=knoppix
+    IPAPPEND 3
+
+label knoppix601-local
+    MENU DEFAULT
+       MENU LABEL Knoppix 6.0.1 
+    TEXT HELP
+        Boots Knoppix-6.0.1
+    ENDTEXT
+       kernel D/K/K6/linux 
+    append httpfs=P_ISO_LOCATION_LOCAL/K6.iso ramdisk_size=100000 lang=en vt.default_utf8=0 apm=power-off vga=0x311 initrd=D/K/K6/minirt.gz nomce loglevel=0 nolapic_timer
     IPAPPEND 3